--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Transforms an Array of key/value pairs into a Mash
- !ruby/struct:SM::Flow::P 
  body: This is a better idiom than using Mash[*array.flatten] in Ruby 1.8.6 because it is not possible to limit the flattening to a single level.
- !ruby/struct:SM::Flow::P 
  body: "@return [Mash]"
- !ruby/struct:SM::Flow::VERB 
  body: "  A Hash where each entry in the Array is turned into a key/value\n"
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: Array#to_mash
is_singleton: false
name: to_mash
params: ()
visibility: public
